import type { FloatTerm, Vec2Term } from "@thi.ng/shader-ast";
/**
 * Inline function. Computes 2D "cross product" of given vectors. See
 * {@link crossC2}.
 *
 * @param a -
 * @param b -
 */
export declare const cross2: (a: Vec2Term, b: Vec2Term) => import("@thi.ng/shader-ast").Op2<"float">;
/**
 * Inline function. Computes 2D cross product of given individual
 * components: ax * by - ay * bx
 *
 * @param ax -
 * @param ay -
 * @param bx -
 * @param by -
 */
export declare const crossC2: (ax: FloatTerm, ay: FloatTerm, bx: FloatTerm, by: FloatTerm) => import("@thi.ng/shader-ast").Op2<"float">;
//# sourceMappingURL=cross2.d.ts.map